Iot Breeze OCB (0.9.0)
Download OpenAPI specification:Download
Omni Channel Backend for managing your iot applications
TenantController_readAvailableTenants
Authorizations:
query Parameters
| select | string |
| include | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_readAvailableTenants
Authorizations:
query Parameters
| select | string |
| include | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_readCurrentTenant
Authorizations:
query Parameters
| select | string |
| include | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_readCurrentTenant
Authorizations:
query Parameters
| select | string |
| include | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_updateCurrentTenant
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| customName | string customName |
object description | |
| searchLabels | string searchLabels |
object smtpConfig | |
| timezone | string timezone |
| defaultLanguage | string Default: "EN" Enum: "EN" "DE" "FR" language |
object theme |
Responses
Request samples
- Payload
{- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}
}Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_updateCurrentTenant
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| customName | string customName |
object description | |
| searchLabels | string searchLabels |
object smtpConfig | |
| timezone | string timezone |
| defaultLanguage | string Default: "EN" Enum: "EN" "DE" "FR" language |
object theme |
Responses
Request samples
- Payload
{- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}
}Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_rotateTenantKey
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| primary required | boolean primary |
| secondary required | boolean secondary |
Responses
Request samples
- Payload
{- "primary": true,
- "secondary": true
}Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_rotateTenantKey
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| primary required | boolean primary |
| secondary required | boolean secondary |
Responses
Request samples
- Payload
{- "primary": true,
- "secondary": true
}Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "publicKey": "string",
- "dbName": "string",
- "schema": "string",
- "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_readTenantPublic
Authorizations:
query Parameters
| name | string |
| id | string |
| domain | string |
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}TenantController_readTenantPublic
Authorizations:
query Parameters
| name | string |
| id | string |
| domain | string |
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "customName": "string",
- "description": {
- "en": "string",
- "de": "string",
- "fr": "string"
}, - "searchLabels": "string",
- "type": "Organization",
- "logo": { },
- "icon": { },
- "smtpConfig": {
- "host": "string",
- "port": 0,
- "username": "string",
- "password": "string",
- "from": "string",
- "secure": true
}, - "timezone": "string",
- "defaultLanguage": "EN",
- "theme": {
- "darkMode": false,
- "palette": { },
- "shadcnTheme": { }
}, - "tenantKeys": {
- "primary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}, - "secondary": {
- "id": "string",
- "key": "string",
- "rotatedAt": "2019-08-24T14:15:22Z"
}
}
}Create Thing Type
Authorizations:
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
Thing Type
| name required | string name |
| displayName required | string displayName |
| tags | object tags |
| description | object description |
| extends | string extends |
| version | string version |
object schema | |
| provider required | string Enum: "NIMBIT" "AZURE" "AWS" "GCP" "IBM" "MINIO" provider |
| searchLabels | string SearchLabels |
| groups | Array of strings groups |
Responses
Request samples
- Payload
{- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "extends": "tt_xxxxxxxxxxxxxxxxx",
- "version": "1",
- "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- "string"
]
}Response samples
- 200
{- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "version": "1",
- "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "group1"
}
], - "extends": [
- "string"
], - "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "id": "string",
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "id": "string",
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "id": "string",
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "deprecated": true,
- "deprecationDate": "2019-08-24T14:15:22Z",
- "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "#000000",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
]
}get all Thing Types
Filterable fields: id, name,displayName, hasDraft, groups, description, version, status, providerStatus, searchLabels, provider
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| language | string |
| include | string Valid includes: images,things,schema,groups,hasThings |
| noSchema | boolean Don,t include schema |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "select": "string",
- "limit": 0,
- "offset": 0,
- "q": "string",
- "orderBy": "string",
- "language": "string",
- "include": "string",
- "noSchema": true
}
]Create Thing Type
Authorizations:
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
Thing Type
| name required | string name |
| displayName required | string displayName |
| tags | object tags |
| description | object description |
| extends | string extends |
| version | string version |
object schema | |
| provider required | string Enum: "NIMBIT" "AZURE" "AWS" "GCP" "IBM" "MINIO" provider |
| searchLabels | string SearchLabels |
| groups | Array of strings groups |
Responses
Request samples
- Payload
[- {
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "extends": "tt_xxxxxxxxxxxxxxxxx",
- "version": "1",
- "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- "string"
]
}
]Update thingType multiple schema direct without draft
Authorizations:
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
Thing Type update
required | Array of objects (Interface) interfaces |
| id | string Id |
Responses
Request samples
- Payload
[- {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
], - "id": "tt_xxxxxxxxxxxxxxxxx"
}
]Update thingType
Authorizations:
path Parameters
| id required | string |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
Thing Type update
| displayName | string displayName |
| description | object description |
| extends | string extends |
| version | string version |
object schema | |
| searchLabels | string SearchLabels |
Responses
Request samples
- Payload
{- "displayName": "Thing Type 1",
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "extends": "tt_xxxxxxxxxxxxxxxxx",
- "version": "1",
- "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "searchLabels": "label1 label2"
}Response samples
- 200
{- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "version": "1",
- "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "group1"
}
], - "extends": [
- "string"
], - "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "id": "string",
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "id": "string",
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "id": "string",
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "deprecated": true,
- "deprecationDate": "2019-08-24T14:15:22Z",
- "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "#000000",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
]
}ThingTypeController_findThingTypeById
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
| language | string |
| include | string Valid includes: things,groups |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "version": "1",
- "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "group1"
}
], - "extends": [
- "string"
], - "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "id": "string",
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "id": "string",
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "id": "string",
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "deprecated": true,
- "deprecationDate": "2019-08-24T14:15:22Z",
- "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "#000000",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
]
}Get a list of all matching properties/commands/measures for one or more thing types
Authorizations:
query Parameters
| show_delta | boolean Default: false |
| show_ts_relevant_properties | boolean Default: false |
| context_key | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
Thing Type characteristics
| ids | Array of strings thingType ids |
| tags | Array of strings tags |
Responses
Request samples
- Payload
{- "ids": [
- "string"
], - "tags": [
- "string"
]
}Response samples
- 200
{- "properties": {
- "customer": "string",
- "anotherProperty": "string"
}, - "commands": {
- "motor_on": "boolean",
- "another_command": "boolean"
}, - "measures": {
- "temperature": "numeric",
- "pressure": "numeric"
}, - "delta": { }
}Update thingType schema direct without draft
Authorizations:
path Parameters
| id required | string |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
required | Array of objects (Interface) interfaces | ||||||||||
Array
| |||||||||||
Responses
Request samples
- Payload
{- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}Response samples
- 200
{- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "version": "1",
- "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "group1"
}
], - "extends": [
- "string"
], - "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "id": "string",
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "id": "string",
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "id": "string",
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "deprecated": true,
- "deprecationDate": "2019-08-24T14:15:22Z",
- "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "#000000",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
]
}apply Thing Type draft
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "version": "1",
- "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "group1"
}
], - "extends": [
- "string"
], - "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "id": "string",
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "id": "string",
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "id": "string",
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "deprecated": true,
- "deprecationDate": "2019-08-24T14:15:22Z",
- "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "#000000",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
]
}reset Thing Type draft
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "Thing_Type_1",
- "displayName": "Thing Type 1",
- "tags": { },
- "description": {
- "en": "Warehouse Zone A",
- "de": "Lagerzone A"
}, - "version": "1",
- "provider": "NIMBIT",
- "searchLabels": "label1 label2",
- "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "group1"
}
], - "extends": [
- "string"
], - "schema": {
- "interfaces": [
- {
- "name": "Interface1",
- "tags": { },
- "properties": [
- {
- "id": "string",
- "name": "imei",
- "displayName": "IMEI",
- "mapping": "imei_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "timeseriesRelevant": false,
- "hasPrecedence": false,
- "isPrivate": false,
- "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}, - "translations": { }
}
], - "commands": [
- {
- "id": "string",
- "displayName": "Ignition State",
- "name": "machine_ignition",
- "mapping": "machine_ignition_alt_name_on_machine",
- "initialValue": "string",
- "description": { },
- "dataType": "string",
- "uom": "string",
- "tags": { }
}
], - "measures": [
- {
- "id": "string",
- "name": "humidity",
- "mapping": "humidity_alt_name_on_machine",
- "description": { },
- "dataType": "string",
- "uom": "%",
- "tags": { },
- "displayName": "Humidity",
- "translations": { },
- "minValue": "0",
- "maxValue": "100",
- "aggregationState": "aggregated",
- "decimalPlaces": "2",
- "factor": "2",
- "offset": "2",
- "ignoreOutliers": false,
- "thresholds": [
- {
- "min": 0,
- "max": 0,
- "name": "string",
- "color": "string",
- "severity": "Low"
}
], - "displayNameTranslations": {
- "fallbackName": "temp",
- "translations": [
- {
- "locale": "de",
- "translation": "td"
}, - {
- "locale": "en",
- "translation": "te"
}
]
}
}
]
}
]
}, - "deprecated": true,
- "deprecationDate": "2019-08-24T14:15:22Z",
- "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "#000000",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
]
}Find profile image for thingtype
Authorizations:
path Parameters
| id required | any |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "url": "string",
- "path": "string",
- "name": "string",
- "originalName": "string",
- "mimeType": "string",
- "status": "SUCCESS",
- "size": "string",
- "searchLabels": "string",
- "variants": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}
}
]Create thing
Authorizations:
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name required | string Name |
| alternateId required | string Alternate id |
| customProperties | object customProperties |
object description | |
| certType | string Enum: "x509" "sas" certType |
| parentId | string Parent Id |
| searchLabels | string SearchLabels |
| thingType required | string thingType |
| groups required | Array of strings groups |
| organization required | string organization |
Responses
Request samples
- Payload
{- "name": "thing1",
- "alternateId": "thingalternateid",
- "customProperties": { },
- "description": { },
- "certType": "x509",
- "parentId": "th_xxxxxxxxxxxxxxxxx",
- "searchLabels": "label1 label 2",
- "thingType": "string",
- "groups": [
- "gr_xxxxxxxxxxxxxxxxx"
], - "organization": "gr_xxxxxxxxxxxxxxxxx"
}Response samples
- 200
{- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing1",
- "alternateId": "thingalternateid",
- "characteristics": {
- "deviceTwin": {
- "commands": {
- "desired": { },
- "reported": { }
}, - "properties": { }
}
}, - "customProperties": { },
- "description": { },
- "status": "Connected",
- "owner": "string",
- "certType": "x509",
- "provider": "NIMBIT",
- "searchLabels": "label1 label 2",
- "connectionStatus": "string",
- "lastConnected": "2019-08-24T14:15:22Z",
- "lastDisconnected": "2019-08-24T14:15:22Z",
- "thingType": {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingTypeName",
- "description": {
- "en": "EN",
- "de": "DE"
}, - "displayName": "ThingTypeDisplayName"
}, - "users": [
- { }
], - "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "hierarchy": [
- "string"
], - "accessType": [
- "string"
], - "parent": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing1",
- "connectionStatus": "string",
- "lastConnected": "2019-08-24T14:15:22Z",
- "lastDisconnected": "2019-08-24T14:15:22Z"
}
], - "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "string",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
], - "organization": {
- "id": "string",
- "name": "string"
}
}Find things
Filterable fields: id, name, alternateId, status, groups, owner, certType, status, provider, searchLabels
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| language | string |
| include | string Valid includes: groups,thingType,parent,thingAccess,hierarchy,users,images |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "count": 0,
- "_fullCount": 0,
- "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing1",
- "alternateId": "thingalternateid",
- "characteristics": {
- "deviceTwin": {
- "commands": {
- "desired": { },
- "reported": { }
}, - "properties": { }
}
}, - "customProperties": { },
- "description": { },
- "status": "Connected",
- "owner": "string",
- "certType": "x509",
- "provider": "NIMBIT",
- "searchLabels": "label1 label 2",
- "connectionStatus": "string",
- "lastConnected": "2019-08-24T14:15:22Z",
- "lastDisconnected": "2019-08-24T14:15:22Z",
- "thingType": {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingTypeName",
- "description": {
- "en": "EN",
- "de": "DE"
}, - "displayName": "ThingTypeDisplayName"
}, - "users": [
- { }
], - "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "hierarchy": [
- "string"
], - "accessType": [
- "string"
], - "parent": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing1",
- "connectionStatus": "string",
- "lastConnected": "2019-08-24T14:15:22Z",
- "lastDisconnected": "2019-08-24T14:15:22Z"
}
], - "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "string",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
], - "organization": {
- "id": "string",
- "name": "string"
}
}
]
}Update thing
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name | string Name |
object characteristics | |
| customProperties | object customProperties |
object description | |
| parentId | string Parent Id |
| searchLabels | string SearchLabels |
| organization | string organization |
Array of objects (OperationWithId) groups | |
Array of objects (OperationWithIdAndPermissions) users |
Responses
Request samples
- Payload
{- "name": "thing1",
- "characteristics": {
- "deviceTwin": {
- "commands": {
- "desired": { },
- "reported": { }
}, - "properties": { }
}
}, - "customProperties": { },
- "description": { },
- "parentId": "th_xxxxxxxxxxxxxxxxx",
- "searchLabels": "label1 label 2",
- "organization": "gr_xxxxxxxxxxxxxxxxx",
- "groups": [
- {
- "operation": "ADD",
- "id": "string"
}
], - "users": [
- {
- "operation": "ADD",
- "id": "string",
- "permissions": { }
}
]
}Read thing
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing1",
- "alternateId": "thingalternateid",
- "characteristics": {
- "deviceTwin": {
- "commands": {
- "desired": { },
- "reported": { }
}, - "properties": { }
}
}, - "customProperties": { },
- "description": { },
- "status": "Connected",
- "owner": "string",
- "certType": "x509",
- "provider": "NIMBIT",
- "searchLabels": "label1 label 2",
- "connectionStatus": "string",
- "lastConnected": "2019-08-24T14:15:22Z",
- "lastDisconnected": "2019-08-24T14:15:22Z",
- "thingType": {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingTypeName",
- "description": {
- "en": "EN",
- "de": "DE"
}, - "displayName": "ThingTypeDisplayName"
}, - "users": [
- { }
], - "groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "hierarchy": [
- "string"
], - "accessType": [
- "string"
], - "parent": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing1",
- "connectionStatus": "string",
- "lastConnected": "2019-08-24T14:15:22Z",
- "lastDisconnected": "2019-08-24T14:15:22Z"
}
], - "images": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}, - "avatarColor": "string",
- "DashboardConfig": [
- {
- "id": "string",
- "default": true,
- "locked": true,
- "accessType": "User"
}
], - "organization": {
- "id": "string",
- "name": "string"
}
}Find profile image for thing
Authorizations:
path Parameters
| id required | any |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "url": "string",
- "path": "string",
- "name": "string",
- "originalName": "string",
- "mimeType": "string",
- "status": "SUCCESS",
- "size": "string",
- "searchLabels": "string",
- "variants": {
- "50": "string",
- "100": "string",
- "250": "string",
- "400": "string",
- "700": "string",
- "1200": "string",
- "default": "string"
}
}
]Update user roles
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name required | string Default: "Gerd Mueller" name |
required | object Authorization properties |
object Invitations | |
required | Array of objects (UserGroup) groups |
| password required | string password |
| tenantOwner | boolean |
| roles required | Array of strings |
Responses
Request samples
- Payload
{- "name": "Gerd Mueller",
- "auth": {
- "description": { },
- "roles": [
- "admin",
- "system_admin",
- "manager",
- "modeler",
- "viewer"
], - "permissions": { }
}, - "invitations": {
- "id": "string",
- "created": "string",
- "status": "PENDING"
}, - "groups": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "isRoot": true,
- "permissions": { }
}
], - "password": "string",
- "tenantOwner": true,
- "roles": [
- "string"
]
}UserController_findUserById
Authorizations:
path Parameters
| id required | any |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "bHYC0ZqbiZhxvciptZdS",
- "name": "Gerd Mueller",
- "email": "gerd.mueller@nimbit.de",
- "userType": "USER",
- "auth": {
- "description": { },
- "roles": [
- "admin",
- "system_admin",
- "manager",
- "modeler",
- "viewer"
], - "permissions": { }
}, - "invitations": {
- "id": "string",
- "created": "string",
- "status": "PENDING"
}, - "groups": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "isRoot": true,
- "permissions": { }
}
], - "searchLables": "string",
- "password": "string",
- "tenantOwner": true
}UserController_findUser
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "bHYC0ZqbiZhxvciptZdS",
- "name": "Gerd Mueller",
- "email": "gerd.mueller@nimbit.de",
- "userType": "USER",
- "auth": {
- "description": { },
- "roles": [
- "admin",
- "system_admin",
- "manager",
- "modeler",
- "viewer"
], - "permissions": { }
}, - "invitations": {
- "id": "string",
- "created": "string",
- "status": "PENDING"
}, - "groups": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "isRoot": true,
- "permissions": { }
}
], - "searchLables": "string",
- "password": "string",
- "tenantOwner": true
}UserController_findUsers
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "bHYC0ZqbiZhxvciptZdS",
- "name": "Gerd Mueller",
- "email": "gerd.mueller@nimbit.de",
- "userType": "USER",
- "auth": {
- "description": { },
- "roles": [
- "admin",
- "system_admin",
- "manager",
- "modeler",
- "viewer"
], - "permissions": { }
}, - "invitations": {
- "id": "string",
- "created": "string",
- "status": "PENDING"
}, - "groups": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "isRoot": true,
- "permissions": { }
}
], - "searchLables": "string",
- "password": "string",
- "tenantOwner": true
}
]Reset user password
Authorizations:
header Parameters
| accept-language required | string |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| email required | string |
| redirectUrl required | string |
Responses
Request samples
- Payload
{- "email": "string",
- "redirectUrl": "string"
}Generate opt for user
Authorizations:
header Parameters
| accept-language required | string |
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| email required | string |
| type required | string Default: "magiclink" Value: "magiclink" Type of the OTP link |
| redirectUrl required | string |
Responses
Request samples
- Payload
{- "email": "string",
- "type": "magiclink",
- "redirectUrl": "string"
}upload file
Authorizations:
path Parameters
| resource required | string Enum: "Thing" "ThingType" "Tenant" "Group" "User" "Organization" "File" "Widget" "ResourceHierarchy" "DashboardConfig" "Canvas" |
| id required | string id |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: multipart/form-datarequired
| file required | string <binary> |
| tags | string |
| customerManaged | boolean |
Responses
List files for resource
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Responses
Create Group
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name required | string Name |
object description | |
| defaultPermissions required | object defaultPermissions |
| parentId | string Parent |
| searchLabels | string SearchLabels |
| type | string Default: "Default" Enum: "Default" "Organization" type |
| thingTypes | Array of strings thingTypes |
| things | Array of strings things |
| eventTypes | Array of strings eventTypes |
Array of objects (OperationWithIdAndPermissions) users |
Responses
Request samples
- Payload
{- "name": "Group Name",
- "description": { },
- "defaultPermissions": { },
- "parentId": "gr_xxxxxxxxxxxxxxxxx",
- "searchLabels": "string",
- "type": "Default",
- "thingTypes": [
- "tt_xxxxxxxxxxxxxxxxx"
], - "things": [
- "th_xxxxxxxxxxxxxxxxx"
], - "eventTypes": [
- "et_xxxxxxxxxxxxxxxxx"
], - "users": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "permissions": {
- "r": true,
- "u": true,
- "x": true
}
}
]
}Response samples
- 201
{- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}Find groups
Filterable fields: id, name, isRoot, description, things, thingTypes, eventTypes, searchLabels
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| language | string |
| include | string Valid includes: thingTypes,things,eventTypes,tenant,count,users |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
]Update Group
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
object description | |
| defaultPermissions required | object defaultPermissions |
| parentId | string Parent |
| searchLabels | string SearchLabels |
| type | string Default: "Default" Enum: "Default" "Organization" type |
| name | string Name |
Array of objects (OperationWithIdAndPermissions) users | |
Array of objects (OperationWithId) thingTypes | |
Array of objects (OperationWithId) things | |
Array of objects (OperationWithId) eventTypes |
Responses
Request samples
- Payload
{- "description": { },
- "defaultPermissions": { },
- "parentId": "gr_xxxxxxxxxxxxxxxxx",
- "searchLabels": "string",
- "type": "Default",
- "name": "Group Name",
- "users": [
- {
- "operation": "ADD",
- "id": "string",
- "permissions": { }
}
], - "thingTypes": [
- {
- "operation": "ADD",
- "id": "string"
}
], - "things": [
- {
- "operation": "ADD",
- "id": "string"
}
], - "eventTypes": [
- {
- "operation": "ADD",
- "id": "string"
}
]
}Response samples
- 200
{- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}Find group by id
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
| language | string |
| include | string Valid includes: thingTypes,things,eventTypes,tenant,children,parent,users,count |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}RoleController_findRoles
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
]Find role by id
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}Create Invitation
Authorizations:
query Parameters
| language required | string Enum: "en" "de" |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
required | Array of objects (Invites) list of users tht are being invited |
| expiresAt | string <date-time> expiresAt |
| roles required | Array of strings roles |
required | Array of objects (UserPermissions) groups |
required | Array of objects (UserPermissions) things |
| inviteKey required | boolean if false, create the user and directly send an email. if true or undefined, create a invite key that can be given to the user to complete their registration |
Responses
Request samples
- Payload
{- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "expiresAt": "2019-08-24T14:15:22Z",
- "roles": [
- "string"
], - "groups": [
- {
- "id": "xx_xxxxxxxxxxxxxxxxx",
- "permissions": {
- "r": true,
- "u": true,
- "x": true
}
}
], - "things": [
- {
- "id": "xx_xxxxxxxxxxxxxxxxx",
- "permissions": {
- "r": true,
- "u": true,
- "x": true
}
}
], - "inviteKey": true
}Response samples
- 201
{- "id": "string",
- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "inviteKey": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "status": { },
- "roles": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
], - "Groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "things": [
- { }
]
}Find invitations
Filterable fields: id, name, email, status
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "inviteKey": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "status": { },
- "roles": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
], - "Groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "things": [
- { }
]
}
]Find invitation by id
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
header Parameters
| ocb-metadata | string Value: "true" show optional metadata in response |
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "inviteKey": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "status": { },
- "roles": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
], - "Groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "things": [
- { }
]
}Accept invitation
Authorizations:
path Parameters
| invitationKey required | string Invitation Key |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| firstName required | string firstName |
| lastName required | string lastName |
| password required | string Default: "Test1234@" Password should contain atleast 8 characters, a number and a special character like "!@#$%^&*()[]{};:<>?,./+-=|~". |
| passwordConfirm required | string Default: "Test1234@" passwordConfirm. Has to match the password property |
Responses
Request samples
- Payload
{- "firstName": "string",
- "lastName": "string",
- "password": "Test1234@",
- "passwordConfirm": "Test1234@"
}Response samples
- 200
{- "id": "string",
- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "inviteKey": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "status": { },
- "roles": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
], - "Groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "things": [
- { }
]
}Reject invitation
Authorizations:
path Parameters
| invitationKey required | string Invitation Key |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "inviteKey": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "status": { },
- "roles": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
], - "Groups": [
- {
- "id": "gr_xxxxxxxxxxxxxxxxx",
- "name": "Group Name",
- "description": { },
- "isRoot": false,
- "defaultPermissions": { },
- "searchLabels": "string",
- "type": "Default",
- "_count": {
- "children": 0,
- "dashboards": 0,
- "invitations": 0,
- "users": 0,
- "organizationThings": 0,
- "things": 0,
- "thingTypes": 0
}, - "GroupToUser": [
- {
- "id": "us_xxxxxxxxxxxxxxxxx",
- "name": "John Doe",
- "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "email": "john@example.com"
}
], - "permissions": {
- "read": true,
- "write": true,
- "execute": true
}, - "children": [
- { }
], - "parents": [
- { }
], - "parent": { },
- "thingTypes": [
- {
- "id": "tt_xxxxxxxxxxxxxxxxx",
- "name": "thingtype_name",
- "displayName": "Thing Type Name"
}
], - "things": [
- {
- "id": "th_xxxxxxxxxxxxxxxxx",
- "name": "thing_name",
- "alternateId": "altid"
}
], - "eventTypes": [
- {
- "id": "et_xxxxxxxxxxxxxxxxx",
- "name": "eventtype_name",
- "displayName": "Event Type Name"
}
]
}
], - "things": [
- { }
]
}Find invitation by invitationKey
Authorizations:
path Parameters
| invitationKey required | string Invitation Key |
query Parameters
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "invites": [
- {
- "email": "max.mustermann@nimbit.de",
- "firstName": "Max",
- "lastName": "Mustermann"
}
], - "inviteKey": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "status": { },
- "roles": [
- {
- "id": "string",
- "name": "string",
- "description": { },
- "permissions": {
- "ThingType": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}, - "Thing": {
- "c": true,
- "r": true,
- "u": true,
- "d": true
}
}, - "UserRoleAssignment": [
- {
- "id": "5e8f8f8f8f8f8f8j8f8f8f",
- "user": "Mueller"
}
], - "searchLables": "string"
}
]
}Create ApiClient
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name | string name |
| validTo required | string <date-time> valid To |
| roles required | Array of strings roles |
Responses
Request samples
- Payload
{- "name": "string",
- "validTo": "2019-08-24T14:15:22Z",
- "roles": [
- "string"
]
}Response samples
- 201
{- "id": "string",
- "name": "string",
- "clientId": "string",
- "clientSecret": "string",
- "deleted": true,
- "validTo": "2019-08-24T14:15:22Z",
- "roles": [
- "string"
]
}ApiClientController_findApiClients
Authorizations:
query Parameters
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "name": "string",
- "clientId": "string",
- "deleted": true,
- "validTo": "2019-08-24T14:15:22Z",
- "roles": [
- "string"
]
}
]Create Destination
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name required | string name |
| description required | string description |
| authenticationType required | string Enum: "NONE" "BASIC" "OAUTH" AuthenticationType |
| requestConfig required | object RequestConfig |
| authenticationConfig required | object AuthenticationConfig |
| searchLables required | string SearchLabels |
| secret required | object secret |
Responses
Request samples
- Payload
{- "name": "string",
- "description": "string",
- "authenticationType": "NONE",
- "requestConfig": { },
- "authenticationConfig": { },
- "searchLables": "string",
- "secret": { }
}Response samples
- 200
{- "id": "string",
- "name": "string",
- "description": "string",
- "authenticationType": "NONE",
- "requestConfig": { },
- "authenticationConfig": { },
- "searchLables": "string"
}Find notifications
Filterable fields: id, name, description, authenticationType, searchLabels
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "name": "string",
- "description": "string",
- "authenticationType": "NONE",
- "requestConfig": { },
- "authenticationConfig": { },
- "searchLables": "string"
}
]Update Destination
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name | string name |
| description | string description |
| authenticationType | string Enum: "NONE" "BASIC" "OAUTH" AuthenticationType |
| requestConfig | object RequestConfig |
| authenticationConfig | object AuthenticationConfig |
| searchLables | string SearchLabels |
| secret required | object secret |
Responses
Request samples
- Payload
{- "name": "string",
- "description": "string",
- "authenticationType": "NONE",
- "requestConfig": { },
- "authenticationConfig": { },
- "searchLables": "string",
- "secret": { }
}Read Destination
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "name": "string",
- "description": "string",
- "authenticationType": "NONE",
- "requestConfig": { },
- "authenticationConfig": { },
- "searchLables": "string"
}SearchController_search
Authorizations:
query Parameters
| q required | string |
| select required | string |
| search | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "name": "string",
- "description": "string",
- "searchLabels": "string",
- "alternateId": "string",
- "resource": "string",
- "tenant": "string"
}
]SearchController_customSearch
Authorizations:
query Parameters
| select | string |
| searchTerm | string |
| tags | string |
| resources | string |
| resourceLimit | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "name": "string",
- "description": "string",
- "searchLabels": "string",
- "alternateId": "string",
- "resource": "string",
- "tenant": "string"
}
]Create Label
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name required | string name |
| color required | string color |
Responses
Request samples
- Payload
{- "name": "string",
- "color": "string"
}Response samples
- 200
{- "name": "string",
- "color": "string"
}Find notifications
Filterable fields: id, name, color
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "name": "string",
- "color": "string"
}
]Find notifications
Filterable fields: id, sender, recipient, resourceType, resourceId, subject, message, readAt, notificationType, state, severity
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "sender": "string",
- "i18nCode": "string",
- "recipients": [
- "string"
], - "recipientGroups": [
- "string"
], - "notificationType": "Generic",
- "resourceType": { },
- "resourceId": "string",
- "subject": "string",
- "message": "string",
- "severity": "INFO",
- "tags": "string",
- "readAt": "2019-08-24T14:15:22Z",
- "eventId": "string",
- "state": { }
}Create notifications
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| i18nCode required | string i18nCode |
| recipients required | Array of strings recipients |
| recipientGroups required | Array of strings recipientGroups |
| notificationType required | object Default: "Generic" notificationType |
| resourceType required | object resourceType |
| resourceId required | string resourceId |
| subject required | string subject |
| message required | string message |
| severity required | object Default: "INFO" severity |
| tags required | string tags |
| eventId required | string ebent ID |
Responses
Request samples
- Payload
{- "i18nCode": "string",
- "recipients": [
- "string"
], - "recipientGroups": [
- "string"
], - "notificationType": "Generic",
- "resourceType": { },
- "resourceId": "string",
- "subject": "string",
- "message": "string",
- "severity": "INFO",
- "tags": "string",
- "eventId": "string"
}Response samples
- 201
"string"Mark notifications as read
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| ids required | Array of strings ids |
| all | boolean Default: false all |
Responses
Request samples
- Payload
{- "ids": [
- "string"
], - "all": false
}Create DashboardConfig
Authorizations:
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
DashboardConfig
| translations | object translations |
| thingId | string thingId |
| name required | string name |
| accessType required | string Enum: "User" "Tenant" accessType |
| dashboardType required | string Enum: "Thing" "ThingType" "General" "MultiAsset" "Report" dashboardType |
| default required | boolean default |
| locked required | boolean locked |
Array of DashboardLayout (objects) or ResponsiveLayouts (object) layouts - can be either an array (legacy, maps to xl) or an object with breakpoint keys (xs, sm, md, lg, xl) | |
Array of objects (Widget) widgets | |
| groups | Array of strings groups |
| dependent | string id of the thingtype or thing depending on if the dashboard type is Thing or ThingType |
| thingIds | Array of strings ids of the things when dashboard type is MultiAsset |
object gridSettings | |
object timeSettings | |
| ResourceHierarchy | Array of strings ResourceHierarchy |
Responses
Request samples
- Payload
{- "translations": { },
- "thingId": "string",
- "name": "string",
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": [
- {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}
], - "groups": [
- "string"
], - "dependent": "string",
- "thingIds": [
- "string"
], - "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}, - "ResourceHierarchy": [
- "string"
]
}Response samples
- 200
{- "id": "string",
- "translations": { },
- "thingId": "string",
- "name": "string",
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": [
- {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}
], - "owner": "string",
- "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}, - "groups": [
- "string"
], - "dependent": "string",
- "things": [
- {
- "id": "string",
- "name": "string"
}
], - "ResourceHierarchy": [
- {
- "path": "string",
- "pathName": "string",
- "id": "string",
- "name": "Hierarchy Name"
}
], - "valid": true,
- "actionIds": [
- "string"
]
}DashboardConfigController_findAllDashboardConfig
Authorizations:
query Parameters
| select | string |
| limit | number |
| offset | number <int32> (Page) >= 0 Default: 0 |
| q | string |
| orderBy | string |
| include | string |
| language | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
[- {
- "id": "string",
- "translations": { },
- "thingId": "string",
- "name": "string",
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": [
- {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}
], - "owner": "string",
- "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}, - "groups": [
- "string"
], - "dependent": "string",
- "things": [
- {
- "id": "string",
- "name": "string"
}
], - "ResourceHierarchy": [
- {
- "path": "string",
- "pathName": "string",
- "id": "string",
- "name": "Hierarchy Name"
}
], - "valid": true,
- "actionIds": [
- "string"
]
}
]Copy DashboardConfig
Authorizations:
path Parameters
| id required | any |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonoptional
Copy DashboardConfig
| name | string name |
| resourceHierarchyId | string resourceHierarchyId |
Responses
Request samples
- Payload
{- "name": "string",
- "resourceHierarchyId": "string"
}Response samples
- 200
{- "id": "string",
- "translations": { },
- "thingId": "string",
- "name": "string",
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": [
- {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}
], - "owner": "string",
- "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}, - "groups": [
- "string"
], - "dependent": "string",
- "things": [
- {
- "id": "string",
- "name": "string"
}
], - "ResourceHierarchy": [
- {
- "path": "string",
- "pathName": "string",
- "id": "string",
- "name": "Hierarchy Name"
}
], - "valid": true,
- "actionIds": [
- "string"
]
}Read DashboardConfig by id
Authorizations:
path Parameters
| id required | string |
query Parameters
| select | string |
| include | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Responses
Response samples
- 200
{- "id": "string",
- "translations": { },
- "thingId": "string",
- "name": "string",
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": [
- {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}
], - "owner": "string",
- "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}, - "groups": [
- "string"
], - "dependent": "string",
- "things": [
- {
- "id": "string",
- "name": "string"
}
], - "ResourceHierarchy": [
- {
- "path": "string",
- "pathName": "string",
- "id": "string",
- "name": "Hierarchy Name"
}
], - "valid": true,
- "actionIds": [
- "string"
]
}Update dashboard config
Authorizations:
path Parameters
| id required | string |
header Parameters
| x-ocb-tenant | any Example: demo |
Request Body schema: application/jsonrequired
| name | string name |
| translations | object translations |
| accessType | string Enum: "User" "Tenant" accessType |
| dashboardType | string Enum: "Thing" "ThingType" "General" "MultiAsset" "Report" dashboardType |
| default | boolean default |
| locked required | boolean locked |
Array of DashboardLayout (objects) or ResponsiveLayouts (object) layouts - can be either an array (legacy, maps to xl) or an object with breakpoint keys (xs, sm, md, lg, xl) | |
object widgets | |
| groups | Array of strings groups |
| dependent | string id of the thingtype or thing depending on if the dashboard type is Thing or ThingType |
| thingIds | Array of strings ids of the things when dashboard type is MultiAsset |
object gridSettings | |
object timeSettings |
Responses
Request samples
- Payload
{- "name": "string",
- "translations": { },
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}, - "groups": [
- "string"
], - "dependent": "string",
- "thingIds": [
- "string"
], - "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}
}Response samples
- 204
{- "id": "string",
- "translations": { },
- "thingId": "string",
- "name": "string",
- "accessType": "User",
- "dashboardType": "Thing",
- "default": true,
- "locked": true,
- "layouts": [
- {
- "x": 0,
- "y": 0,
- "z": 0,
- "w": 0,
- "h": 0,
- "i": "string",
- "minW": 0,
- "maxW": 0,
- "minH": 0,
- "maxH": 0,
- "moved": true,
- "static": true,
- "isDraggable": true,
- "isResizable": true,
- "resizeHandles": "s",
- "isBounded": true
}
], - "widgets": [
- {
- "fileId": "string",
- "url": "string",
- "fileType": "ocb",
- "zoom": 0,
- "type": "radar",
- "zoomable": true,
- "compactNumber": true,
- "gapFill": "locf",
- "translations": { },
- "transparent": true,
- "styles": {
- "borderColor": "string",
- "bgColor": "string",
- "zoomable": true,
- "transparent": true,
- "showMarkers": true
}, - "mergeConsecutivePoints": true,
- "variant": "page",
- "id": "string",
- "name": "NAME_OF_THE_WIDGET",
- "uom": "string",
- "mode": "mode",
- "orientation": "orientation",
- "displayAs": "string",
- "offset": "offset",
- "window": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "showMarkers": true,
- "shape": "string",
- "searchLabels": "label1, label 2",
- "allowUpload": true,
- "showTable": true,
- "config": [
- {
- "id": "string",
- "min": 0,
- "max": 0
}
], - "descriptionsTrue": { },
- "descriptionsFalse": { },
- "colorTrue": "string",
- "colorFalse": "string",
- "thresholds": [
- {
- "id": "ab123412",
- "name": "ThrsholdName",
- "color": "#FFFFFF",
- "variant": "line",
- "operator": "between",
- "left": 0,
- "right": 0
}
], - "yMin": 0,
- "yMax": 0,
- "tableConfig": { },
- "transformFunc": "string",
- "dataSource": "string",
- "valid": true
}
], - "owner": "string",
- "gridSettings": {
- "layoutFactorX": 0,
- "layoutFactorY": 0,
- "cols": {
- "property1": 0,
- "property2": 0
}, - "rowHeight": 0,
- "columnSize": 0,
- "margin": [
- 0,
- 0
], - "containerPadding": [
- 0,
- 0
], - "resizeHandles": [
- "s"
], - "compactType": "vertical",
- "isBounded": true,
- "autoSize": true,
- "allowOverlap": true,
- "preventCollision": true
}, - "timeSettings": {
- "active": true,
- "timeframe": {
- "type": "period",
- "period": "P30D",
- "from": 6000,
- "to": 0,
- "bucket": "P1D",
- "bucketDensity": 6000,
- "override": false
}, - "refreshRate": "string"
}, - "groups": [
- "string"
], - "dependent": "string",
- "things": [
- {
- "id": "string",
- "name": "string"
}
], - "ResourceHierarchy": [
- {
- "path": "string",
- "pathName": "string",
- "id": "string",
- "name": "Hierarchy Name"
}
], - "valid": true,
- "actionIds": [
- "string"
]
}DashboardConfigController_count
Authorizations:
query Parameters
| select | string |
[...]
